Name:           glassfish-jsf-impl
Version:        2.1.7
Release:        1%{?dist}
Summary:        JAXB Reference Implementation

Group:          Development/Libraries
License:        CDDL 1.1 and GPLv2 with exceptions
URL:            https://javaserverfaces.dev.java.net

# svn export https://svn.java.net/svn/mojarra~svn/tags/2.1.7/ glassfish-jsf-impl-2.1.7
# find glassfish-jsf-impl-2.1.7/ -name '*.class' -delete
# find glassfish-jsf-impl-2.1.7/ -name '*.jar' -delete
# tar czf glassfish-jsf-impl-2.1.7-CLEAN.tar.gz glassfish-jsf-impl-2.1.7

# List of removed jars: https://gist.github.com/dc1bf981edfd3b210cb4

Source0:        glassfish-jsf-impl-%{version}-CLEAN.tar.gz
# jsf-impl POM
Source1:        http://repo1.maven.org/maven2/com/sun/faces/jsf-impl/%{version}/jsf-impl-%{version}.pom

# I'm removing here jsf-intermediate-api content from bundling
# This needs testing
Patch0:         glassfish-jsf-impl-%{version}-build.patch
# JDK 7 compatibility
Patch1:         glassfish-jsf-impl-%{version}-jdk7.patch
# Removing Jing driver because of incompatibility issues
#Patch1:         %{name}-%{fullversion}-jing.patch
# Simplifying dist generation
#Patch2:         glassfish-jaxb-%{fullversion}-build.patch

BuildArch:      noarch

BuildRequires:  jpackage-utils
BuildRequires:  java-devel

BuildRequires:  ant
BuildRequires:  ant-contrib
BuildRequires:  aqute-bnd
BuildRequires:  maven-ant-tasks
BuildRequires:  maven-profile
BuildRequires:  maven-project
BuildRequires:  plexus-component-api
BuildRequires:  maven-error-diagnostics
BuildRequires:  plexus-classworlds
BuildRequires:  plexus-utils
BuildRequires:  plexus-interpolation
BuildRequires:  maven-wagon
BuildRequires:  maven
BuildRequires:  groovy
BuildRequires:  aqute-bnd

Requires:       java

%description
TODO

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n glassfish-jsf-impl-%{version}
%patch0 -p1
%patch1 -p1

%build
#export CLASSPATH=$(build-classpath jing glassfish-dtd-parser xml-commons-resolver xsom isorelax stax-ex glassfish-fi glassfish-jaxb-api jaxme/jaxmeapi jing relaxngDatatype args4j rngom txw2-runtime txw2-compiler package-rename-task relaxngcc codemodel-codemodel codemodel-codemodel-annotation-compiler istack-commons-tools istack-commons-runtime)

#ln -s %{_javadir}/glassfish-jaxb-api.jar tools/lib/redist/jaxb-api.jar

#build-jar-repository -s -p tools/lib/util relaxngcc

pushd jsf-tools
mvn-rpmbuild install javadoc:aggregate
popd


mkdir lib/compile

for l in apache-commons-collections apache-commons-digester apache-commons-beanutils apache-commons-logging; do
  ln -s $(build-classpath ${l}) lib/${l}.jar
done

ln -s $(build-classpath jboss/jboss-jstl-1.2-api) lib/compile/jboss-jstl-1.2-api.jar
ln -s $(build-classpath jboss/jboss-servlet-3.0-api) lib/compile/jboss-servlet-3.0-api.jar
ln -s $(build-classpath jboss-el-2.2-api) lib/compile/jboss-el-2.2-api.jar
ln -s $(build-classpath jboss-jsp-2.2-api) lib/compile/jboss-jsp-2.2-api.jar
ln -s $(build-classpath jboss-jsf-2.1-api) lib/compile/jboss-jsf-2.1-api.jar
ln -s $(build-classpath geronimo-annotation) lib/compile/geronimo-annotation.jar
ln -s $(build-classpath geronimo-validation) lib/compile/geronimo-validation.jar
ln -s $(build-classpath groovy) lib/compile/groovy.jar

#pushd injectionprovider
#ant -Djsf.build.home=$PWD/../ -Dcontainer.name=tomcat7
#popd

#pushd jsf-ri
export CLASSPATH=$(build-classpath aqute-bnd)":$PWD/jsf-tools/target/jsf-tools-%{version}-SNAPSHOT.jar"

ant -Djsf.build.home=$PWD -Dcontainer.name=tomcat7 impl
#popd

#export CLASSPATH=$(build-classpath ant/ant-contrib maven-ant-tasks aqute-bnd maven2/maven-profile maven2/maven-project plexus/plexus-component-api maven2/maven-error-diagnostics plexus/classworlds plexus/utils plexus/interpolation maven-wagon/provider-api maven/maven-model maven/maven-artifact maven/maven-core maven/maven-compat maven/maven-settings maven/maven-settings-builder)

#ant -Djsf.build.home=$PWD -Dcontainer.name=tomcat7
#main.from.source

# -Djsf.build.home=$PWD -Dcontainer.name=tomcat7

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -m 644 jsf-ri/build/lib/javax.faces.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# JAVADOC
#cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POM
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

# DEPMAP
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE

%changelog

